class JfsJqueryGenerator < Rails::Generator::Base
  
  def manifest
    record do |m|
      m.directory 'public/javascripts'
      
      m.file 'jquery.min.js', 'public/javascripts/jquery.min.js'
      unless options[:skip_ui]
        m.file 'jquery-ui.min.js', 'public/javascripts/jquery-ui.min.js'
      end
    end
  end
 
  protected
 
  def add_options!(opt)
    opt.separator ''
    opt.separator 'Options:'
    opt.on("--skip-ui", "Do not include jQuery UI.") { |v| options[:skip_ui] = v }
  end

  def banner
    "Usage: #{$0} #{spec.name}"
  end

end
