class JfsLayoutGenerator < Rails::Generator::Base
  
  def initialize(runtime_args, runtime_options = {})
    super
    @name = @args.first || 'application'
  end
  
  def manifest
    record do |m|
      m.directory 'app/helpers'
      m.directory 'app/views/layouts'
      m.directory 'config/locales'
      m.directory 'public/stylesheets'

      m.template 'layout.html.erb', "app/views/layouts/#{file_name}.html.erb"
      m.file 'helper.rb', "app/helpers/layout_helper.rb"
      m.file 'en.yml', "config/locales/en.layout.yml"
      m.file 'stylesheet.css', "public/stylesheets/#{file_name}.css"
    end
  end
  
  def file_name
    @name.underscore
  end
 
  protected
 
  def banner
    "Usage: #{$0} #{spec.name} [layout_name]"
  end

end
